## openstack-doc-tools 0.24

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=0.6,!=0.7,<1.0
argparse
Babel>=1.3
iso8601>=0.1.9
lxml>=2.3
oslo.config>=1.9.3,<1.10.0  # Apache-2.0
sphinx>=1.1.2,!=1.2.0,!=1.3b1,<1.3
demjson # GNU LGPL 3.0
