## openstack-doc-tools 0.16.1

=== debian/changelog ===
openstack-doc-tools (0.16.1-2) unstable; urgency=medium

  * Drop maven from depends.

 -- Thomas Goirand <zigo@debian.org>  Fri, 03 Oct 2014 16:12:45 +0000

openstack-doc-tools (0.16.1-1) unstable; urgency=medium

  * Initial release (Closes: #753408).

 -- Thomas Goirand <zigo@debian.org>  Sat, 08 Feb 2014 21:18:52 +0800
