## openstack-doc-tools 0.24

=== debian/changelog ===
openstack-doc-tools (0.24-2) unstable; urgency=medium

  * Makes build reproducible (Closes: #782387). Thanks to Reiner Herrmann
    <reiner@reiner-h.de> for the report and patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 11 May 2015 21:31:42 +0200

openstack-doc-tools (0.24-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 01 Jan 2015 23:07:24 +0100

openstack-doc-tools (0.19-1) experimental; urgency=medium

  * New upstream release.
  * Updated (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Sep 2014 00:25:46 +0800
