=== debian/control ===
Source: openstack-doc-tools
Section: python
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr,
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: python-babel,
                     python-bashate,
                     python-demjson,
                     python-hacking,
                     python-iso8601,
                     python-lxml,
                     python-oslo.config (>= 1:1.9.3),
Standards-Version: 3.9.6
Homepage: https://github.com/openstack/openstack-doc-tools
Vcs-Git: git://anonscm.debian.org/openstack/openstack-doc-tools.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/openstack-doc-tools.git;a=summary

Package: python-openstack-doc-tools
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-babel,
         python-demjson,
         python-iso8601,
         libxml2-dev,
         libxslt-dev,
         maven,
         python-lxml,
         python-oslo.config (>= 1:1.9.3),
         ${misc:Depends},
         ${python:Depends},
         ${sphinxdoc:Depends},
Description: tools used by the OpenStack Documentation project
 This package contains a set of tools used to build the OpenStack documentation
 (install-guide, etc.) in multiple formats: html, pdf, etc. The input format is
 a set of XML documents.
