## openstack-doc-tools 0.31.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.6
argparse
Babel>=1.3
iso8601>=0.1.9
lxml>=2.3
oslo.config>=2.3.0 # Apache-2.0
sphinx!=1.2.0,!=1.3b1,<1.3,>=1.1.2
demjson # GNU LGPL 3.0
PyYAML>=3.1.0
