=== autogenerate_config_docs/requirements.txt ===
GitPython>=0.3.2.RC1
lxml
oslo.config
oslo.i18n
