=== sitemap/requirements.txt ===
scrapy>=1.0.0
