=== debian/changelog ===
openstack-doc-tools (0.31.0-4) unstable; urgency=medium

  * override_dh_python3 to fix Py3 shebang.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Oct 2015 22:22:00 +0000

openstack-doc-tools (0.31.0-3) unstable; urgency=medium

  * Uploading to unstable.
  * Added Breaks+Replaces for supporting upgrades from 0.31.0-1. Thanks to
    Andreas Beckmann for the report (Closes: #802645).

 -- Thomas Goirand <zigo@debian.org>  Thu, 22 Oct 2015 20:29:19 +0000

openstack-doc-tools (0.31.0-2) experimental; urgency=medium

  * Added Python3 support.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Oct 2015 08:33:11 +0000

openstack-doc-tools (0.31.0-1) experimental; urgency=medium

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align dependencies with upstream.
  * d/gbp.conf: Update debian-branch to debian/liberty.
  * d/control: Update uploaders.

  [ Thomas Goirand ]
  * New upstream release.
  * d/control: Align dependencies with upstream.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Oct 2015 10:25:41 +0200
