## openstack-doc-tools 0.34.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.6 # Apache-2.0
Babel>=1.3 # BSD
iso8601>=0.1.9 # MIT
lxml>=2.3 # BSD
oslo.config>=3.7.0 # Apache-2.0
sphinx!=1.2.0,!=1.3b1,<1.3,>=1.1.2 # BSD
demjson # GNU LGPL 3.0
PyYAML>=3.1.0 # MIT
