=== debian/changelog ===
openstack-doc-tools (0.34.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Oct 2016 10:23:55 +0200

openstack-doc-tools (0.34.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using pkgos-dh_auto_install instead of manual stuff.
  * Bring the use of update-alternatives up-to-date with what's shipped.
  * Standards-Version: 3.9.8 (no change).
  * Using https for URLs.

 -- Thomas Goirand <zigo@debian.org>  Wed, 27 Jul 2016 08:53:42 +0000
