=== debian/control ===
Source: openstack-doc-tools
Section: python
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Corey Bryant <corey.bryant@canonical.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools (>= 52~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: libxml2-dev,
                     libxslt-dev,
                     pylint,
                     python-babel,
                     python-bashate,
                     python-demjson,
                     python-doc8,
                     python-hacking (>= 0.10.0),
                     python-iso8601,
                     python-lxml,
                     python-oslo.config (>= 1:2.7.0),
                     python-oslosphinx (>= 2.5.0),
                     python-yaml,
Standards-Version: 3.9.8
Homepage: https://github.com/openstack/openstack-doc-tools
Vcs-Git: https://git.openstack.org/openstack/deb-openstack-doc-tools -b debian/newton
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-openstack-doc-tools?h=debian%2Fnewton

Package: python-openstack-doc-tools
Architecture: all
Depends: libxml2-dev,
         libxslt-dev,
         openstack-doc-tools-common (= ${binary:Version}),
         python-babel,
         python-demjson,
         python-iso8601,
         python-lxml,
         python-oslo.config (>= 1:2.7.0),
         python-pbr (>= 1.8),
         python-sphinx,
         python-yaml,
         ${misc:Depends},
         ${python:Depends},
         ${sphinxdoc:Depends},
Description: tools used by the OpenStack Documentation project - Python 2.7
 This package contains a set of tools used to build the OpenStack documentation
 (install-guide, etc.) in multiple formats: html, pdf, etc. The input format is
 a set of XML documents.
 .
 This package provides the Python 2.7 module.

Package: python3-openstack-doc-tools
Architecture: all
Depends: libxml2-dev,
         libxslt-dev,
         openstack-doc-tools-common (= ${binary:Version}),
         python3-babel,
         python3-demjson,
         python3-iso8601,
         python3-lxml,
         python3-oslo.config (>= 1:2.7.0),
         python3-pbr (>= 1.8),
         python3-sphinx,
         python3-yaml,
         ${misc:Depends},
         ${python3:Depends},
         ${sphinxdoc:Depends},
Description: tools used by the OpenStack Documentation project - Python 3.x
 This package contains a set of tools used to build the OpenStack documentation
 (install-guide, etc.) in multiple formats: html, pdf, etc. The input format is
 a set of XML documents.
 .
 This package provides the Python 3.x module.

Package: openstack-doc-tools-common
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         ${sphinxdoc:Depends},
Breaks: python-openstack-doc-tools (<< 0.31.0-2~)
Replaces: python-openstack-doc-tools (<< 0.31.0-2~)
Description: tools used by the OpenStack Documentation project - common files
 This package contains a set of tools used to build the OpenStack documentation
 (install-guide, etc.) in multiple formats: html, pdf, etc. The input format is
 a set of XML documents.
 .
 This package contains common files for both the Python 2.7 and 3.x packages.
