## openstack-doc-tools 1.0.1

=== debian/changelog ===
openstack-doc-tools (1.0.1-1) unstable; urgency=medium

  * Fix control for this version of package
  * New upstream release
  * Add remove-cliff-tablib-from-requirements.patch 
  * Add fix-manpages-generate.patch 
  * Remove non-existant alternative in /usr/bin

 -- Michal Arbet <michal.arbet@ultimum.io>  Tue, 19 Dec 2017 11:57:17 +0100

openstack-doc-tools (0.34.0-3) UNRELEASED; urgency=medium

  * Bumped debhelper compat version to 10

 -- Ondřej Nový <onovy@debian.org>  Thu, 24 Nov 2016 00:01:54 +0100
