=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
            Corey Bryant <corey.bryant@canonical.com>,
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                openstack-pkg-tools (>= 52~),
                python-all,
@@ -24,7 +24,7 @@
                      python-hacking (>= 0.10.0),
                      python-iso8601,
                      python-lxml,
-                     python-oslo.config (>= 1:2.7.0),
+                     python-oslo.config (>= 1:3.14.0),
                      python-oslosphinx (>= 2.5.0),
                      python-yaml,
 Standards-Version: 3.9.8
@@ -41,7 +41,7 @@
          python-demjson,
          python-iso8601,
          python-lxml,
-         python-oslo.config (>= 1:2.7.0),
+         python-oslo.config (>= 1:3.14.0),
          python-pbr (>= 1.8),
          python-sphinx,
          python-yaml,
@@ -64,7 +64,7 @@
          python3-demjson,
          python3-iso8601,
          python3-lxml,
-         python3-oslo.config (>= 1:2.7.0),
+         python3-oslo.config (>= 1:3.14.0),
          python3-pbr (>= 1.8),
          python3-sphinx,
          python3-yaml,
