=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,10 @@
 override_dh_clean:
 	dh_clean -O--buildsystem=python_distutils
 	rm -rf doc/build
+	rm -rf build
+	rm -rf openstack_doc_tools.egg-info
+	rm -f AUTHORS
+	rm -f ChangeLog
 
 override_dh_auto_install:
 	pkgos-dh_auto_install
