## openstack-doc-tools 1.5.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.8 # Apache-2.0
iso8601>=0.1.11 # MIT
lxml!=3.7.0,>=2.3 # BSD
oslo.config!=3.18.0,>=3.14.0 # Apache-2.0
docutils>=0.11 # OSI-Approved Open Source, Public Domain
sphinx>=1.5.1 # BSD
demjson # GLGPLv3+
PyYAML>=3.10.0 # MIT
cliff-tablib>=1.0 # Apache-2.0
