=== debian/changelog ===
openstack-doc-tools (1.5.0-0ubuntu2) zesty; urgency=medium

  * d/pydist-overrides: Dont try to install cliff-tablib. 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 09 Mar 2017 13:54:14 -0500

openstack-doc-tools (1.5.0-0ubuntu1) zesty; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * New upstream release.
  * d/watch: Point to pypi.
  * d/python-openstack-doc-tools.manpages: Remove missing pages.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 03 Mar 2017 09:31:03 -0500
