=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: openstack-doc-tools
 Section: python
 Priority: extra
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
            Corey Bryant <corey.bryant@canonical.com>,
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 9),
                dh-python,
                openstack-pkg-tools (>= 52~),
                python-all,
@@ -24,13 +25,13 @@
                      python-hacking (>= 0.10.0),
                      python-iso8601,
                      python-lxml,
-                     python-oslo.config (>= 1:3.14.0),
+                     python-oslo.config (>= 1:2.7.0),
                      python-oslosphinx (>= 2.5.0),
                      python-yaml,
 Standards-Version: 3.9.8
 Homepage: https://github.com/openstack/openstack-doc-tools
-Vcs-Git: https://git.openstack.org/openstack/deb-openstack-doc-tools -b debian/newton
-Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-openstack-doc-tools?h=debian%2Fnewton
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/openstack-doc-tools
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/openstack-doc-tools
 
 Package: python-openstack-doc-tools
 Architecture: all
@@ -41,7 +42,7 @@
          python-demjson,
          python-iso8601,
          python-lxml,
-         python-oslo.config (>= 1:3.14.0),
+         python-oslo.config (>= 1:2.7.0),
          python-pbr (>= 1.8),
          python-sphinx,
          python-yaml,
@@ -64,7 +65,7 @@
          python3-demjson,
          python3-iso8601,
          python3-lxml,
-         python3-oslo.config (>= 1:3.14.0),
+         python3-oslo.config (>= 1:2.7.0),
          python3-pbr (>= 1.8),
          python3-sphinx,
          python3-yaml,
