=== autogenerate_config_docs/requirements.txt ===
docutils
jinja2
lxml
oslo.config
oslo.i18n
