=== debian/changelog ===
openstack-doc-tools (1.6.0-2) unstable; urgency=medium

  * (build-)depends on python-openstackdocstheme (Closes: #880130).
  * Uploading to unstable.
  * Update debian/copyright.
  * Standards-Version is now 4.1.1.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Nov 2017 23:29:43 +0000

openstack-doc-tools (1.6.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).
  * d/rules: Removed UPSTREAM_GIT with default value
  * d/copyright: Changed source URL to https protocol

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Correcting permissions in debian packaging files.
  * Updating standards version to 4.0.1.
  * Deprecating priority extra as per policy 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using pkgos-dh_auto_install.
  * Remove cliff-tablib from requirements.
  * Remove non-existant alternative in /usr/bin.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Oct 2017 18:43:16 +0200
