=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,5 @@
 #!/usr/bin/make -f
 
-UPSTREAM_GIT = https://github.com/openstack/openstack-doc-tools.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 export LAST_CHANGE=$(shell dpkg-parsechangelog -S Date)
@@ -12,10 +11,6 @@
 override_dh_clean:
 	dh_clean -O--buildsystem=python_distutils
 	rm -rf doc/build
-	rm -rf build
-	rm -rf openstack_doc_tools.egg-info
-	rm -f AUTHORS
-	rm -f ChangeLog
 
 override_dh_auto_install:
 	pkgos-dh_auto_install
